Subject: Re: bug#41414: 28.0.50; `find-file-noselect' + `file-truename' gotcha

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 06 Jun 2022 15:50:49 +0200

Michael Heerdegen <[email-masked]> writes:

> Here is a recipe, I start with a directory like this:
>
>   /home/micha/Treasure/today/test:
>   total used in directory 29 available 123.8 GiB
>   drwxrwxr-x  2 micha micha     4k 05-20 02:20 .
>   drwxr-xr-x 69 micha micha    24k 05-20 02:19 ..
>   -rw-rw-r--  1 micha micha      5 05-20 02:20 a
> S lrwxrwxrwx  1 micha micha      1 05-20 02:21 b -> a
>
> I visit b (I did that from dired), then, without killing the b visiting
> buffer, I delete the b -> a symlink, then I try to visit "a" and get:
>
> Debugger entered--Lisp error: (error "File /home/micha/today/test/b no
> longer exists!")
>   signal(error ("File /home/micha/today/test/b no longer exists!"))
>   error("File %s no longer exists!" "/home/micha/today/test/b")

This no longer happens in Emacs 29, but the subsequent problems are
still present.  That is, trying to revert the buffer etc will lead to
errors.

So I've now changed find-file-noselect to ignore buffers with file names
that no longer exist in Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no